<?php
use JTL\Helpers\Template;
use JTL\Shop;
use JTL\License\Installer\TemplateInstaller;
use JTL\License\AjaxResponse;
use JTL\Template\Admin\Listing;
use JTL\Template\Admin\Validation\TemplateValidator;

if(isset($_REQUEST['exportSettings']))
{
	$configs = Shop::Container()->getDB()->query('SELECT * FROM km_snackys_config',2);
	$return = array();
	foreach($configs as $conf)
		$return[$conf->nKey] = $conf->nValue;
	$result = json_encode($return);

	header("Content-Type: application/json");
	header('Content-Disposition: attachment; filename="snackys-settings.json"');
	echo $result;
	exit;
}
if(isset($_REQUEST['exportContents']))
{
	$return = array('cats' => array(), 'contents' => array());
	$contents = Shop::Container()->getDB()->query('SELECT * FROM km_snackys_content',2);
	foreach($contents as $content)
		$return['contents'][] = $content;
	$cats = Shop::Container()->getDB()->query('SELECT * FROM km_snackys_content_category',2);
	foreach($cats as $cat)
		$return['cats'][] = $cat;
	$result = json_encode($return);

	header("Content-Type: application/json");
	header('Content-Disposition: attachment; filename="snackys-contents.json"');
	echo $result;
	exit;
}
?>

<div id="snackys-check">
<?php

include("basics.php");

if(isset($_REQUEST['saveImport']))
{
	$data = json_decode(file_get_contents($_FILES['snackyImportFile']['tmp_name']));
	if($data)
	{
		if($_REQUEST['snackyImportType'] == 'settings')
		{
			if($_REQUEST['snackyImportOverwrite'] == 'removebefore')
			{
				Shop::Container()->getDB()->query('DELETE FROM km_snackys_config',1);
			}
			foreach($data as $key => $val)
			{
				$query = 'INSERT INTO km_snackys_config SET nKey=:nkey,nValue=:nval ON DUPLICATE KEY UPDATE nValue=:nval';
				Shop::Container()->getDB()->queryPrepared(
					$query,
					['nkey' => $key, 'nval' => $val],
					1
				);
			}
		}elseif($_REQUEST['snackyImportType'] == 'content')
		{
			if($_REQUEST['snackyImportOverwrite'] == 'removebefore')
			{
				Shop::Container()->getDB()->query('DELETE FROM km_snackys_content',1);
				Shop::Container()->getDB()->query('DELETE FROM km_snackys_content_category',1);
				foreach($data->cats as $cat)
				{
					Shop::Container()->getDB()->insert('km_snackys_content_category',$cat);
				}
				foreach($data->contents as $content)
				{
					Shop::Container()->getDB()->insert('km_snackys_content',$content);
				}
			} else {
				$cats = array();
				$parents = array();
				foreach($data->cats as $cat)
				{
					$temp = $cat->id;
					unset($cat->id);
					$cats[$temp] = Shop::Container()->getDB()->insert('km_snackys_content_category',$cat);
				}
				foreach($data->contents as $content)
				{
					$temp = $content->id;
					unset($content->id);
					if($content->category != 0) $content->category = $cats[$content->category];
					if($content->parent > 0) $content->parent = $parents[$content->parent];
					$parents[$temp] = Shop::Container()->getDB()->insert('km_snackys_content',$content);
				}
			}
		}
	}
}

if(isset($_REQUEST['installTpl']) || isset($_REQUEST['updateTpl']))
{
        $templateArchive = __DIR__ . '/../src/template/Snackys.zip';
        if (\file_exists($templateArchive)) {
            $installer = new TemplateInstaller(Shop::Container()->getDB(), Shop::Container()->getCache());
            if ($installer->install('Snackys', $templateArchive, new AjaxResponse()) === 1) {
				$templateService = Shop::Container()->getTemplateService();
				if(method_exists($templateService,'setActiveTemplate'))
					$templateService->setActiveTemplate('Snackys');

                
                $this->db->query('UPDATE tglobals SET dLetzteAenderung = NOW()');
				
				if( $_SESSION['AdminAccount']->language == 'de-DE')
					echo '<div class="alert alert-success"><i class="fa fa-info-circle"></i> Template erfolgreich installiert. <a href="shoptemplate.php">Direkt zur Templateverwaltung</a></div>'; 
				else
					echo '<div class="alert alert-success"><i class="fa fa-info-circle"></i> Template successfully installed. <a href="shoptemplate.php">Activate Template now</a></div>'; 
            } else
			{
				
				if( $_SESSION['AdminAccount']->language == 'de-DE')
					echo '<div class="alert alert-danger"><i class="fa fa-info-circle"></i> Fehler bei der Installation des Templates.</div>'; 
				else
					echo '<div class="alert alert-danger"><i class="fa fa-info-circle"></i> Error during template installation.</div>'; 
			}
        }
}

if(isset($_REQUEST['createChild']))
{
	$child = trim($_REQUEST['childDir']);
	if($child)
	{
		if(is_dir(PFAD_ROOT.'/templates/'.$child)) 
		{
			if( $_SESSION['AdminAccount']->language == 'de-DE')
				echo '<div class="alert alert-danger"><i class="fa fa-info-circle"></i> Verzeichnis bereits vorhanden.</div>'; 
			else
				echo '<div class="alert alert-danger"><i class="fa fa-info-circle"></i> Folder allready existing.</div>'; 
		}
		else
		{
			
			$templateCode = '<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<Template isFullResponsive="true">
    <Name>'.$child.' (Snackys)</Name>
    <Author>Knoell Marketing</Author>
    <URL>https://www.knoell-marketing.de</URL>
    <Parent>Snackys</Parent>
    <Preview>preview.png</Preview>
    <Version>1.0.0</Version>
    <MinShopVersion>5.1.0</MinShopVersion>
    <Description>Child (Snackys Version '.$plugin->getCurrentVersion().')</Description>
</Template>';
			$bootstrapCode = "<?php declare(strict_types=1);

namespace Template\\".$child.";

class Bootstrap extends \\Template\\Snackys\\Bootstrap
{
    public function boot(): void
    {
        parent::boot();
    }

    protected function registerPlugins(): void
    {
        parent::registerPlugins();
    }
}";
			
			//Create Folder
			mkdir(PFAD_ROOT.'/templates/'.$child, 0777, true);
			//Create template.xml
			$file = fopen(PFAD_ROOT.'/templates/'.$child.'/template.xml','w+');
			fwrite($file,$templateCode);
			fclose($file);
			chmod(PFAD_ROOT.'/templates/'.$child.'/template.xml',0777);
			//Create bootstrap.php
			$file = fopen(PFAD_ROOT.'/templates/'.$child.'/Bootstrap.php','w+');
			fwrite($file,$bootstrapCode);
			fclose($file);
			chmod(PFAD_ROOT.'/templates/'.$child.'/Bootstrap.php',0777);

			copy(PFAD_ROOT.'/plugins/km_snackys/src/template/preview-child.png',PFAD_ROOT.'/templates/'.$child.'/preview.png');
			

			if( $_SESSION['AdminAccount']->language == 'de-DE')
				echo '<div class="alert alert-success"><i class="fa fa-info-circle"></i> Child Template erfolgreich erstellt. <a href="shoptemplate.php">Direkt zur Templateverwaltung</a></div>'; 
			else
				echo '<div class="alert alert-success"><i class="fa fa-info-circle"></i> Chld Template successfully created. <a href="shoptemplate.php">Activate Template now</a></div>'; 
		}
	}
}

$snackysTemplate = false;
$j = Shop::Container()->getTemplateService()->getActiveTemplate();

$k = ( $_SESSION['AdminAccount']->language == 'de-DE')  ? 
	'<input type="text" readonly="" class="form-control" value="nicht vorhanden" style="background:#fff;text-align:right; color:red;">' :
	'<input type="text" readonly="" class="form-control" value="not existing" style="background:#fff;text-align:right; color:red;">'; 
$l = ( $_SESSION['AdminAccount']->language == 'de-DE')  ?
	'<input type="text" readonly="" class="form-control" value="Nein - wird bei Templateanpassungen empfohlen " style="background:#fff;text-align:right; color:orange;">' :
	'<input type="text" readonly="" class="form-control" value="No - but recommend if you change templatefiles" style="background:#fff;text-align:right; color:orange;">'; 
$m = 0; 
if(is_dir(PFAD_ROOT.'/templates/Snackys'))
{
	if($j->cOrdner != 'Snackys') {
		$m = 1;
		$lstng         = new Listing(Shop::Container()->getDB(), new TemplateValidator(Shop::Container()->getDB()));
		$tplItems = $lstng->getAll();
		foreach($tplItems as $tpl)
		{
			if($tpl->getDir() == 'Snackys')
			{
				$j = new \stdClass;
				$j->cOrdner = 'Snackys';
				$j->cVersion = $tpl->getVersion();
			}
		}
	}
	if(str_replace('.','',$j->cVersion) != str_replace('.','',$plugin->getCurrentVersion())) {
		$m = 1;
		$k = ( $_SESSION['AdminAccount']->language == 'de-DE')  ? 
			'<input type="text" readonly="" class="form-control" value="Vorhanden, in falscher Version (V'.$j->cVersion.')" style="background:#fff;text-align:right; color:orange;">' : 
			'<input type="text" readonly="" class="form-control" value="Existing, in wrong version (V'.$j->cVersion.')" style="background:#fff;text-align:right; color:orange;">';
	} else { 
		$m = 2;
		$k = ( $_SESSION['AdminAccount']->language == 'de-DE')  ? 
			'<input type="text" readonly="" class="form-control" value="vorhanden" style="background:#fff;text-align:right; color:green;">' : 
			'<input type="text" readonly="" class="form-control" value="existing" style="background:#fff;text-align:right; color:green;">';
	}
}
?>
<div class="well">
	<?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>
		Pr&uuml;fen Sie hier essentielle Funktionen des Templates und die zus&auml;tzlichen Sprachvariablen.<br><strong>F&uuml;r Anpassungen empfehlen wir stets die Verwendung des Child-Templates - siehe <a href="https://jtl-devguide.readthedocs.io/projects/jtl-shop/de/latest/shop_templates/eigenes_template.html#der-bevorzugte-weg-zum-eigenen-template-child-templates" target="_blank">JTL Doku: Child Templates</a>.</strong>
	<?php } else { ?>
		Here you can check the essential functions of the template and the additional language variables.<br><strong>We always recommend using the child template for adjustments - see <a href="https://jtl-devguide.readthedocs.io/projects/jtl-shop/de/latest/shop_templates/eigenes_template.html#der-bevorzugte-weg-zum-eigenen-template-child-templates" target="_blank">JTL Doku: Child Templates</a>.</strong>
	<?php } ?>
</div>
<?php  if($m == 2) { ?>
<div class="panel panel-default first">
	<div class="panel-heading"><h3 class="panel-title">
		<?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>
			Neues Child Template anlegen - Erlaubte Zeichen: a-z, 0-9, _(Unterstrich)
		<?php } else { ?>
			Create child template - allowed characters: a-z, 0-9, _ (underscore)
		<?php } ?>
	</h3></div>
	<div class="panel-body">
		<div class="input-group">
		<form method="post" action="" class="navbar-form">
			<input type="text" class="form-control" name="childDir" placeholder="Ordnername des Child Templates" pattern="[a-zA-Z0-9_]+" style="width: 50%;" />
			<button name="createChild" type="submit" value="Speichern" class="btn btn-primary"><i class="fa fa-save"></i> 
				<?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>
					Child Template anlegen
				<?php } else { ?>
					Create child template
				<?php } ?>
			</button></form>
		</div>
	</div>
</div>
		<?php } ?>
<div class="panel panel-default first" id="importpanel">
	<div class="panel-heading"><h3 class="panel-title">
		<?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>
			Import/Export von Einstellungen &amp; Inhalten
		<?php } else { ?>
			import/export of settings and contents
		<?php } ?>
	</h3></div>
	<div class="panel-body first">
		<form method="post" action="plugin.php?kPlugin=<?php echo $oPlugin->getID(); ?>" class="navbar-form" id="importform" enctype="multipart/form-data">
			<div class="input-group">
				<label for="l-snackyImportFile">
				<?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>
					Datei auswählen
				<?php } else { ?>
					Choose file
				<?php } ?>
				</label>
				<input type="file" class="form-control" name="snackyImportFile" id="l-snackyImportFile"  />
			</div>
			<div class="input-group">
				<label for="snackyImportType">
				<?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>
					Art des Imports
				<?php } else { ?>
					Importtype
				<?php } ?>
				</label>
				<select name="snackyImportType" id="snackyImportType">
					<option value="settings"><?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>Einstellungen<?php } else { ?>Settings<?php } ?></option>
					<option value="content"><?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>Inhalte<?php } else { ?>Content<?php } ?></option>
				</select>
			</div>
			<div class="input-group">
				<label for="snackyImportOverwrite">
				<?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>
					Bestehende Daten
				<?php } else { ?>
					Existing data
				<?php } ?>
				</label>
				<select name="snackyImportOverwrite" id="snackyImportOverwrite">
					<option value="overwrite"><?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>Überschreiben/ergänzen<?php } else { ?>Overwrite/add<?php } ?></option>
					<option value="removebefore"><?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>Vorher leeren<?php } else { ?>Clear before<?php } ?></option>
				</select>
			</div>
			<div class="input-group">
				<button name="saveImport" type="submit" value="Speichern" class="btn btn-primary"><i class="fa fa-save"></i> 
					Import
				</button>
			</div>
		</form>
	</div>
    <hr>
	<div class="panel-body">
		<a href="plugin.php?kPlugin=<?php echo $oPlugin->getID(); ?>&amp;exportSettings=<?php echo time(); ?>"  class="btn btn-primary" target="_blank"><i class="fa fa-download"></i> 
			<?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>
				Einstellungen exportieren
			<?php } else { ?>
				Export Settings
			<?php } ?>
		</a>
		<a href="plugin.php?kPlugin=<?php echo $oPlugin->getID(); ?>&amp;exportContents=<?php echo time(); ?>"  class="btn btn-primary" target="_blank"><i class="fa fa-download"></i> 
			<?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>
				Inhalte exportieren
			<?php } else { ?>
				Export contents
			<?php } ?>
		</a>
	</div>
</div>
<div class="panel panel-default first">
	<div class="panel-heading"><h3 class="panel-title">Plugin Check</h3></div>
	<?php if ($m == 0 || $m == 1) { ?>
	<div class="panel-body">
		<div class="input-group">
			<?php if($m == 0) { ?>
			<form method="post" action="" class="navbar-form"><button name="installTpl" type="submit" value="Installieren" class="btn btn-primary"><i class="fa fa-save"></i>
				<?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>
					Template installieren
				<?php } else { ?>
					Install template
				<?php } ?>
			</button></form>
			<?php } elseif($m == 1) { ?>
			<form method="post" action="" class="navbar-form"><button name="updateTpl" type="submit" value="Updaten" class="btn btn-primary"><i class="fa fa-save"></i>
				<?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>
					Template updaten
				<?php } else { ?>
					Update template
				<?php } ?>
			</button></form>
			<?php } ?>
		</div>
	</div>
	<?php  } ?>
	<div class="panel-body">
		<div class="input-group">
			<span class="input-group-addon">
				<label for="km_snackys_sale_prozent">Snackys Template</label>
			</span>
			<span class="input-group-wrap">
				<?php echo $k; ?>
			</span>		</div>
	</div>
	<div class="panel-body">
		<div class="input-group">
			<span class="input-group-addon">
				<label for="km_snackys_sale_prozent">/templates/Snackys/temp/</label>
			</span>
			<span class="input-group-wrap">
				<?php
				if(is_writable(PFAD_ROOT.'/templates/Snackys/temp')) { ?>
					<?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>
						<input type="text" readonly="" class="form-control" value="Schreibrechte in Ordnung" style="background:#fff;text-align:right; color:green;">
					<?php } else { ?>
						<input type="text" readonly="" class="form-control" value="Write permissions okay" style="background:#fff;text-align:right; color:green;">
					<?php } ?>
				<?php } else { ?>
					<?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>
						<input type="text" readonly="" class="form-control" value="Nicht beschreibbar" style="background:#fff;text-align:right; color:red;">
					<?php } else { ?>
						<input type="text" readonly="" class="form-control" value="Not writable" style="background:#fff;text-align:right; color:red;">
					<?php } ?>
				<?php } ?>
			</span>		</div>
	</div>
</div>
<div class="panel panel-default">
	<div class="panel-heading"><h3 class="panel-title">
		<?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>
			Sprachvariablen (Sektion custom)
		<?php } else { ?>
			Language variables (Section custom)
		<?php } ?>
	</h3></div>
<?php
 $CyIncvgfikvFRVd = array( 'hotStock','deliveryDate','COreg', 'COlogin', 'COguest', 'menu', 
 'headerBenefit1', 'headerBenefit2', 'headerBenefit3', 'headerBenefit4', 'allCats', 'language', 'headerPromo','offlineTitle',
 'offlineText','offlineButton','configButton','configSet','configRequiredInfo','loadPrev','loadNext','moreFilters','sonderpreisBisDetail','sonderpreisBis','productAvailableIn');
 
 foreach($CyIncvgfikvFRVd as $x) { $y = Shop::Lang()->get($x, 'custom'); if(substr($y,0,1) == '#'&& substr($y,-1)=='#') $y = false; ?>
	<div class="panel-body">
		<div class="input-group">
			<span class="input-group-addon">
				<label for="km_snackys_sale_prozent"><?php echo $x; ?></label>
			</span>
			<span class="input-group-wrap">
				<?php
 if(!empty($y)) { ?>
					<input type="text" readonly="" class="form-control" value="<?php echo $y; ?>" style="background:#fff;text-align:right; color: green;">
				<?php } else { ?>
					<input type="text" readonly="" class="form-control" value="<?php if( $_SESSION['AdminAccount']->language == 'de-DE') { ?>Nicht vorhanden / leer<?php }else{ ?>Not existing / empty<?php }?>" style="background:#fff;text-align:right;color:orange;">
				<?php } ?>
			</span>		</div>
	</div>
<?php
 } ?>
	<div class="panel-body">
	</div>
</div>
</div>