<?php

//Reset falls andere Tabs das schon verwendet haben
Shop::Smarty()->assign('successConfig','');
Shop::Smarty()->assign('errorConfig','');
$confId = 'basic';
if(isset($_REQUEST['saveConfig']) && $_REQUEST['saveConfig'] == $confId)
{
	if(saveConfigs($_REQUEST['configItems']))
		Shop::Smarty()->assign('successConfig',$_SESSION['AdminAccount']->language == 'de-DE' ? 'Einstellungen erfolgreich gespeichert.' : 'Settings saved successfully.');
	else
		Shop::Smarty()->assign('errorConfig',$_SESSION['AdminAccount']->language == 'de-DE' ? 'Fehler beim Speichern der Einstellungen.' : 'Error saving settings.');
}

//Alle Einstellungen pro Tab neu laden, falls hier etwas neu gespeichert wurde!!
$configs = loadConfigs();

$items = array(
	'allgemein' => array(
		'title' => array('de' => 'Allgemein', 'en' => 'General'),
		'items' => array(
			array(
				'id' => 'debug_mode',
				'name' => array('de' => 'Entwicklermodus', 'en' => 'Developermode'),
				'description' => array('de' => 'Durch Aktivierung des Entwicklermodus wird z.B. der CSS Cache ausgeschaltet', 'en' => 'Activating the developer mode deactivates the CSS cache, for example'),
				'value' => $configs['debug_mode'],
				'type' => 'select',
				'options' => array(
					'Y' => array('de' => 'Ja, aktivieren', 'en' => 'Yes, activate'),
					'N' => array('de' => 'Nein (empfohlen)', 'en' => 'No (recommended)')
				),
				'class' => ''
			),
			array(
				'id' => 'show_content_ids',
				'name' => array('de' => 'Zonen IDs anzeigen', 'en' => 'Show Zone ids'),
				'description' => array('de' => 'Aktiviert die Ausgabe der Zonen im Frontend und zeigt deren Namen an, die dann verwendet werden k&ouml;nnen.', 'en' => 'Activates the output of the zones in the frontend and shows their names, which can then be used.'),
				'value' => $configs['show_content_ids'],
				'type' => 'select',
				'options' => array(
					'Y' => array('de' => 'Ja, aktivieren', 'en' => 'Yes, activate'),
					'N' => array('de' => 'Nein (empfohlen)', 'en' => 'No (recommended)')
				),
				'class' => ''
			),
			array(
				'id' => 'svgLogo',
				'name' => array('de' => 'SVG Logo', 'en' => 'SVG Logo'),
				'description' => array('de' => 'Hinterlege hier dein SVG Logo das performanter als normale Bilder und vektorbasiert ist. Du kannst zwar auch in den Shopeinstellungen ein SVG Logo hochladen, das wird jedoch auch in EMails verwendet. Jedoch nicht jeder EMail-Client (z.B. Outlook) kann SVG Bilder.', 'en' => 'Store your SVG logo here, which is vector-based and performs better than normal images. You can also upload an SVG logo in the shop settings, but this will also be used in emails. However, not every email client (e.g. Outlook) can handle SVG images.'),
				'value' => $configs['svgLogo'],
				'type' => 'media',
				'class' => ''
			),
			array(
				'id' => 'appleTouchIcon',
				'name' => array('de' => 'Apple-Touch-Icon', 'en' => 'Apple-Touch-Icon'),
				'description' => array('de' => 'Hinterlege hier dein pers&ouml;nliches Apple-Touch-Icon im PNG-Format. Die optimale Gr&ouml;&szlig;e f&uuml;r alle Retina-Ger&auml;te ist 180x180px.', 'en' => 'Store your personal Apple Touch icon here in PNG format. The optimal size for all retina devices is 180x180px.'),
				'value' => $configs['appleTouchIcon'],
				'type' => 'media',
				'class' => ''
			),
			array(
				'id' => 'sidepanelEverywhere',
				'name' => array('de' => 'Sidebar anzeigen', 'en' => 'Show sidebar'),
				'description' => array('de' => 'Das Design und dessen Usability und Besucherf&uuml;hrung ist ohne Sidebar aufgebaut, bis auf Produktlisten-Seiten. Wir empfehlen dies auch so zu belassen. Auf Wunsch kann hier jedoch die Seitenleiste f&uuml;r alle Seiten aktiviert werden.', 
										'en' => 'The design and its usability and visitor guidance is set up without a sidebar, with the exception of product list pages. We recommend leaving it that way. If desired, however, the sidebar can be activated for all pages here.'),
				'value' => $configs['sidepanelEverywhere'],
				'type' => 'select',
				'options' => array(
					'N' => array('de' => 'Nur in Produktlisten (Standard)', 'en' => 'Only in productlist'),
					'Y' => array('de' => '&Uuml;berall (nicht empfohlen)', 'en' => 'Everywhere (not recommended)'),
				),
				'class' => ''
			),
			/* Wird bereits automatisch generiert
			array(
				'id' => 'noCopyright',
				'name' => array('de' => 'Template Copyright', 'en' => 'Template Copyright'),
				'description' => array('de' => 'Zur Entfernung unseres Copyrights, trage hier bitte deinen erhaltenen Lizenzfree Key ein.', 'en' => 'To remove our copyright, please enter the license free key you have received here.'),
				'value' => $configs['noCopyright'],
				'type' => 'text',
				'class' => ''
			),
			*/
		),
	),
	'optimierungen' => array(
		'title' => array('de' => 'Optimierungen / Performance', 'en' => 'Optimization / Performance'),
		'items' => array(
			array(
				'id' => 'optimize_artikel',
				'name' => array('de' => 'Artikeltexte optimieren', 'en' => 'Optimize article text'),
				'description' => array('de' => 'Setzt Bilder, Videos und Frames in Beschreibung und Kurzbeschreibung von Artikeln auf Lazy Loading', 'en' => 'Sets images, videos and frames in the description and short description of articles on lazy loading'),
				'value' => $configs['optimize_artikel'],
				'type' => 'select',
				'options' => array(
					'Y' => array('de' => 'Ja (empfohlen)', 'en' => 'Yes (recommended)'),
					'N' => array('de' => 'Nein', 'en' => 'No')
				),
				'class' => ''
			),
			array(
				'id' => 'optimize_kategorie',
				'name' => array('de' => 'Kategorietexte optimieren', 'en' => 'Optimize category text'),
				'description' => array('de' => 'Setzt Bilder, Videos und Frames in der Beschreibung von Kategorien auf Lazy Loading', 'en' => 'Sets images, videos and frames in the description of categories to lazy loading'),
				'value' => $configs['optimize_kategorie'],
				'type' => 'select',
				'options' => array(
					'Y' => array('de' => 'Ja (empfohlen)', 'en' => 'Yes (recommended)'),
					'N' => array('de' => 'Nein', 'en' => 'No')
				),
				'class' => ''
			),
			array(
				'id' => 'optimize_content',
				'name' => array('de' => 'Seiteninhalte optimieren', 'en' => 'Optimize content text'),
				'description' => array('de' => 'Setzt Bilder, Videos und Frames von Eigenen Seiten und aus Snackys Inhalten auf Lazy Loading', 'en' => 'Puts pictures, videos and frames from your own pages and from Snackys content on lazy loading'),
				'value' => $configs['optimize_content'],
				'type' => 'select',
				'options' => array(
					'Y' => array('de' => 'Ja (empfohlen)', 'en' => 'Yes (recommended)'),
					'N' => array('de' => 'Nein', 'en' => 'No')
				),
				'class' => ''
			),
			array(
				'id' => 'optimize_news',
				'name' => array('de' => 'Blogbeitr&auml;ge optimieren', 'en' => 'Optimize news text'),
				'description' => array('de' => 'Setzt Bilder, Videos und Frames aus Newstexten auf Lazy Loading', 'en' => 'Sets images, videos and frames from news texts to lazy loading'),
				'value' => $configs['optimize_news'],
				'type' => 'select',
				'options' => array(
					'Y' => array('de' => 'Ja (empfohlen)', 'en' => 'Yes (recommended)'),
					'N' => array('de' => 'Nein', 'en' => 'No')
				),
				'class' => ''
			),
			array(
				'id' => 'nolazyloadSlider',
				'name' => array('de' => '1. Sliderbild LazyLoad deaktivieren', 'en' => 'Deactivate lazy load on 1. Slider image'),
				'description' => array('de' => 'Soll das 1. Bilder von Slidern sofort geladen werden, statt nachgeladen (Bilder im sichtbaren Bereich sollten nicht nachgeladen werden)?', 
										'en' => 'Should the 1. images of sliders be loaded immediately instead of reloading (images in the visible area should not be reloaded)?'),
				'value' => $configs['nolazyloadSlider'],
				'type' => 'select',
				'options' => array(
					'Y' => array('de' => 'Ja (empfohlen)', 'en' => 'Yes (recommended)'),
					'N' => array('de' => 'Nein', 'en' => 'No')
				),
				'class' => ''
			),
			array(
				'id' => 'nolazyloadProductdetails',
				'name' => array('de' => 'Produktbild LazyLoad deaktivieren', 'en' => 'Deactivate lazyload on product image'),
				'description' => array('de' => 'Soll das Hauptbild bei den Produktdetails sofort geladen werden, statt nachgeladen (Bilder im sichtbaren Bereich sollten nicht nachgeladen werden)?', 
										'en' => 'Should the main picture in the product details be loaded immediately instead of reloading (images in the visible area should not be reloaded)?'),
				'value' => $configs['nolazyloadProductdetails'],
				'type' => 'select',
				'options' => array(
					'Y' => array('de' => 'Ja (empfohlen)', 'en' => 'Yes (recommended)'),
					'N' => array('de' => 'Nein', 'en' => 'No')
				),
				'class' => ''
			),
			array(
				'id' => 'nolazyloadProductlist',
				'name' => array('de' => 'Anzahl LazyLoad in Produktliste deaktivieren', 'en' => 'Amount of deactivated lazyloads in listings'),
				'description' => array('de' => 'Wieviele Produktbilder sollen in Produktlisten sofort geladen werden, statt nachgeladen (Bilder im sichtbaren Bereich sollten nicht nachgeladen werden)?', 
										'en' => 'How many product images should be loaded immediately into product lists instead of being reloaded (images in the visible area should not be reloaded)?'),
				'value' => $configs['nolazyloadProductlist'],
				'type' => 'number',
				'class' => ''
			),
		),
	),
	'compability' => array(
		'title' => array('de' => 'Kompatibilit&auml;tsmodus', 'en' => 'Compabilitymode'),
		'items' => array(
			array(
				'id' => 'full_bootstrap',
				'name' => array('de' => 'Komplettes Bootstrap laden', 'en' => 'Load full bootstrap'),
				'description' => array('de' => 'Soll das vollst&aum;ndige Bootstrap geladen werden?', 'en' => 'Do you want to load the full bootstrap?'),
				'value' => $configs['full_bootstrap'],
				'type' => 'select',
				'options' => array(
					'Y' => array('de' => 'Ja, aktivieren (Achtung Performancelastig!)', 'en' => 'Yes, activate (beware of performance issues)'),
					'N' => array('de' => 'Nein (empfohlen)', 'en' => 'No (recommended)')
				),
				'class' => ''
			),
			array(
				'id' => 'fontawesome',
				'name' => array('de' => 'Font Awesome laden', 'en' => 'Load font awesome'),
				'description' => array('de' => 'Soll Font Awesome geladen werden?', 'en' => 'Do you want Font Awesome to load?'),
				'value' => $configs['fontawesome'],
				'type' => 'select',
				'options' => array(
					'Y' => array('de' => 'Ja, aktivieren (Achtung Performancelastig!)', 'en' => 'Yes, activate (beware of performance issues)'),
					'N' => array('de' => 'Nein (empfohlen)', 'en' => 'No (recommended)')
				),
				'class' => ''
			),
		),
	),
	'social' => array(
		'title' => array('de' => 'Social Media', 'en' => 'Social Media'),
		'items' => array(
			array(
				'id' => 'facebook',
				'name' => array('de' => 'Facebook-Link', 'en' => 'Facebook-Link'),
				'description' => array('de' => 'Dein Link zum Social Media Profil von Facebook f&uuml;r deinen Shop.', 'en' => 'Your link to the Facebook social media profile for your shop.'),
				'value' => $configs['facebook'],
				'type' => 'text',
				'class' => ''
			),
			array(
				'id' => 'twitter',
				'name' => array('de' => 'Twitter-Link', 'en' => 'Twitter-Link'),
				'description' => array('de' => 'Dein Link zum Social Media Profil von Twitter f&uuml;r deinen Shop.', 'en' => 'Your link to the Twitter social media profile for your shop.'),
				'value' => $configs['twitter'],
				'type' => 'text',
				'class' => ''
			),
			array(
				'id' => 'youtube',
				'name' => array('de' => 'Youtube-Link', 'en' => 'Youtube-Link'),
				'description' => array('de' => 'Dein Link zum Social Media Profil von Youtube f&uuml;r deinen Shop.', 'en' => 'Your link to the Youtube social media profile for your shop.'),
				'value' => $configs['youtube'],
				'type' => 'text',
				'class' => ''
			),
			array(
				'id' => 'xing',
				'name' => array('de' => 'Xing-Link', 'en' => 'Xing-Link'),
				'description' => array('de' => 'Dein Link zum Social Media Profil von Xing f&uuml;r deinen Shop.', 'en' => 'Your link to the Xing social media profile for your shop.'),
				'value' => $configs['xing'],
				'type' => 'text',
				'class' => ''
			),
			array(
				'id' => 'linkedin',
				'name' => array('de' => 'LinkedIn-Link', 'en' => 'LinkedIn-Link'),
				'description' => array('de' => 'Dein Link zum Social Media Profil von LinkedIn f&uuml;r deinen Shop.', 'en' => 'Your link to the LinkedIn social media profile for your shop.'),
				'value' => $configs['linkedin'],
				'type' => 'text',
				'class' => ''
			),
			array(
				'id' => 'vimeo',
				'name' => array('de' => 'Vimeo-Link', 'en' => 'Vimeo-Link'),
				'description' => array('de' => 'Dein Link zum Social Media Profil von Vimeo f&uuml;r deinen Shop.', 'en' => 'Your link to the Vimeo social media profile for your shop.'),
				'value' => $configs['vimeo'],
				'type' => 'text',
				'class' => ''
			),
			array(
				'id' => 'instagram',
				'name' => array('de' => 'Instagram-Link', 'en' => 'Instagram-Link'),
				'description' => array('de' => 'Dein Link zum Social Media Profil von Instagram f&uuml;r deinen Shop.', 'en' => 'Your link to the Instagram social media profile for your shop.'),
				'value' => $configs['instagram'],
				'type' => 'text',
				'class' => ''
			),
			array(
				'id' => 'pinterest',
				'name' => array('de' => 'Pinterest-Link', 'en' => 'Pinterest-Link'),
				'description' => array('de' => 'Dein Link zum Social Media Profil von Pinterest f&uuml;r deinen Shop.', 'en' => 'Your link to the Pinterest social media profile for your shop.'),
				'value' => $configs['pinterest'],
				'type' => 'text',
				'class' => ''
			),
			array(
				'id' => 'skype',
				'name' => array('de' => 'Skype-Link', 'en' => 'Skype-Link'),
				'description' => array('de' => 'Dein Link zum Social Media Profil von Skype f&uuml;r deinen Shop.', 'en' => 'Your link to the Skype social media profile for your shop.'),
				'value' => $configs['skype'],
				'type' => 'text',
				'class' => ''
			),
		)
	)
);

$code = configArea($items,$plugin);
Shop::Smarty()->assign('configArea',$code);
Shop::Smarty()->assign('configTab',$kPluginAdminMenu->configs);
Shop::Smarty()->assign('configId',$confId);
Shop::Smarty()->assign('configJS','');
Shop::Smarty()->display($plugin->getPaths()->getAdminPath() . 'templates/config.tpl');
?>